Loading...
Searching...
No Matches
field_wdof_sliced< FieldWdof >

## Detailed Description

template<class FieldWdof>
class rheolef::details::field_wdof_sliced< FieldWdof >

Definition at line 265 of file field_wdof_sliced.h.

Inheritance diagram for field_wdof_sliced< FieldWdof >:

## Public Types

using | base0 = field_wdof_base< field_wdof_sliced< FieldWdof > >
using | base = field_rdof_sliced_base< FieldWdof >
using | size_type = typename FieldWdof::size_type
using | scalar_type = typename FieldWdof::scalar_type
using | memory_type = typename FieldWdof::memory_type
using | geo_type = typename FieldWdof::geo_type
using | space_type = typename FieldWdof::space_type
using | iterator = field_sliced_iterator< typename FieldWdof::iterator >
using | const_iterator = field_sliced_const_iterator< typename FieldWdof::const_iterator >
using | dis_reference = typename FieldWdof::dis_reference
using | self_type = field_wdof_sliced< FieldWdof >
using | float_type = typename float_traits< scalar_type >::type
using | space_constitution_type = space_constitution< float_type, memory_type >
Public Types inherited from field_wdof_base< field_wdof_sliced< FieldWdof > >
using | size_type = typename field_traits< field_wdof_sliced< FieldWdof > >::size_type
using | scalar_type = typename field_traits< field_wdof_sliced< FieldWdof > >::scalar_type
using | memory_type = typename field_traits< field_wdof_sliced< FieldWdof > >::memory_type
using | float_type = typename float_traits< scalar_type >::type
using | geo_type = geo_basic< float_type, memory_type >
using | space_type = space_basic< float_type, memory_type >
Public Types inherited from field_rdof_base< Derived >
using | size_type = typename field_traits< Derived >::size_type
using | scalar_type = typename field_traits< Derived >::scalar_type
using | memory_type = typename field_traits< Derived >::memory_type
using | float_type = typename float_traits< scalar_type >::type
using | geo_type = geo_basic< float_type, memory_type >
using | space_type = space_basic< float_type, memory_type >
Public Types inherited from field_rdof_sliced_base< FieldWdof >
using | size_type = typename FieldRdof::size_type
using | scalar_type = typename FieldRdof::scalar_type
using | memory_type = typename FieldRdof::memory_type
using | float_type = typename float_traits< scalar_type >::type
using | geo_type = typename FieldRdof::geo_type
using | space_type = typename FieldRdof::space_type
using | space_constitution_type = space_constitution< float_type, memory_type >

## Public Member Functions

| field_wdof_sliced ()=delete
| field_wdof_sliced (const field_wdof_sliced< FieldWdof > &)=delete
field_wdof_sliced< FieldWdof > & | operator= (const field_wdof_sliced< FieldWdof > &expr)
template<class Sfinae = typename std::enable_if< has_field_wdof_interface<FieldWdof>::value ,void >::type>
| field_wdof_sliced (FieldWdof &uh, size_type i_comp)
template<class Value >
std::enable_if< details::is_rheolef_arithmetic< Value >::value, field_wdof_sliced< FieldWdof > & >::type | operator= (const Value &value)
template<class FieldRdof >
std::enable_if< has_field_rdof_interface< FieldRdof >::value, field_wdof_sliced< FieldWdof > & >::type | operator= (const FieldRdof &rdof)
template<class FieldLazy >
std::enable_if< has_field_lazy_interface< FieldLazy >::value &&!has_field_rdof_interface< FieldLazy >::value, field_wdof_sliced< FieldWdof > & >::type | operator= (const FieldLazy &lazy)
scalar_type & | dof (size_type idof)
const scalar_type & | dof (size_type idof) const
const scalar_type & | dis_dof (size_type dis_idof) const
dis_reference | dis_dof_entry (size_type dis_idof)
template<class SetOp = details::generic_set_op>
void | dis_dof_update (const SetOp &set_op=SetOp()) const
iterator | begin_dof ()
iterator | end_dof ()
const_iterator | begin_dof () const
const_iterator | end_dof () const
Public Member Functions inherited from field_wdof_base< field_wdof_sliced< FieldWdof > >
std::enable_if< details::is_rheolef_arithmetic< Value >::value, field_wdof_base< field_wdof_sliced< FieldWdof > > & >::type | operator= (const Value &)
std::enable_if< has_field_rdof_interface< FieldRdof >::value, field_wdof_base< field_wdof_sliced< FieldWdof > > & >::type | operator= (const FieldRdof &)
std::enable_if< has_field_lazy_interface< FieldLazy >::value &&!has_field_rdof_interface< FieldLazy >::value, field_wdof_base< field_wdof_sliced< FieldWdof > > & >::type | operator= (const FieldLazy &)
field_wdof_indirect< field_wdof_sliced< FieldWdof > > | operator[] (const std::string &dom_name)
field_wdof_indirect< field_wdof_sliced< FieldWdof > > | operator[] (const geo_type &dom)
field_wdof_sliced< field_wdof_sliced< FieldWdof > > | operator[] (size_type i_comp)
field_wdof_sliced< field_wdof_sliced< FieldWdof > > | operator() (size_type i_comp, size_type j_comp)
Public Member Functions inherited from field_rdof_base< Derived >
field_rdof_indirect_const< Derived > | operator[] (const std::string &dom_name) const
field_rdof_indirect_const< Derived > | operator[] (const geo_type &dom) const
field_rdof_sliced_const< Derived > | operator[] (size_type i_comp) const
field_rdof_sliced_const< Derived > | operator() (size_type i_comp, size_type j_comp) const
bool | have_homogeneous_space (space_type &Xh) const
Public Member Functions inherited from field_rdof_sliced_base< FieldWdof >
| field_rdof_sliced_base ()
| field_rdof_sliced_base (const FieldWdof &uh, size_type i_comp)
const space_constitution_type & | get_constitution () const
const distributor & | ownership () const
const communicator & | comm () const
const geo_type & | get_geo () const
const space_type & | get_space () const
size_type | ndof () const
size_type | dis_ndof () const
size_type | _shift (const FieldWdof &uh) const
size_type | _increment (const FieldWdof &uh) const

## Static Public Member Functions

template<class Iterator >
static void | _initialize (const space_constitution_type &sup_constit, size_type i_comp, space_constitution_type &constit, Iterator &start, Iterator &last)

## Protected Attributes

FieldWdof & | _uh
iterator | _start
Protected Attributes inherited from field_rdof_sliced_base< FieldWdof >
space_type | _Vi
size_type | _i_comp

## Additional Inherited Members

Protected Member Functions inherited from field_wdof_base< field_wdof_sliced< FieldWdof > >
field_wdof_sliced< FieldWdof > & | derived ()
const field_wdof_sliced< FieldWdof > & | derived () const
Protected Member Functions inherited from field_rdof_base< Derived >
Derived & | derived ()
const Derived & | derived () const

## Member Typedef Documentation

## base0

template<class FieldWdof >

using base0 = field_wdof_base<field_wdof_sliced<FieldWdof> >

Definition at line 273 of file field_wdof_sliced.h.

## base

template<class FieldWdof >

using base = field_rdof_sliced_base<FieldWdof>

Definition at line 274 of file field_wdof_sliced.h.

## size_type

template<class FieldWdof >

using size_type = typename FieldWdof::size_type

Definition at line 275 of file field_wdof_sliced.h.

## scalar_type

template<class FieldWdof >

using scalar_type = typename FieldWdof::scalar_type

Definition at line 276 of file field_wdof_sliced.h.

## memory_type

template<class FieldWdof >

using memory_type = typename FieldWdof::memory_type

Definition at line 277 of file field_wdof_sliced.h.

## geo_type

template<class FieldWdof >

using geo_type = typename FieldWdof::geo_type

Definition at line 278 of file field_wdof_sliced.h.

## space_type

template<class FieldWdof >

using space_type = typename FieldWdof::space_type

Definition at line 279 of file field_wdof_sliced.h.

## iterator

template<class FieldWdof >

using iterator = field_sliced_iterator<typename FieldWdof::iterator>

Definition at line 280 of file field_wdof_sliced.h.

## const_iterator

template<class FieldWdof >

using const_iterator = field_sliced_const_iterator<typename FieldWdof::const_iterator>

Definition at line 281 of file field_wdof_sliced.h.

## dis_reference

template<class FieldWdof >

using dis_reference = typename FieldWdof::dis_reference

Definition at line 282 of file field_wdof_sliced.h.

## self_type

template<class FieldWdof >

using self_type = field_wdof_sliced<FieldWdof>

Definition at line 283 of file field_wdof_sliced.h.

## float_type

template<class FieldWdof >

using float_type = typename float_traits<scalar_type>::type

Definition at line 284 of file field_wdof_sliced.h.

## space_constitution_type

template<class FieldWdof >

using space_constitution_type = space_constitution<float_type,memory_type>

Definition at line 285 of file field_wdof_sliced.h.

## Constructor & Destructor Documentation

## field_wdof_sliced() [1/3]

template<class FieldWdof >

field_wdof_sliced | ( |  | ) |

delete

## field_wdof_sliced() [2/3]

template<class FieldWdof >

field_wdof_sliced | ( | const field_wdof_sliced< FieldWdof > & |  | ) |

delete

## field_wdof_sliced() [3/3]

template<class FieldWdof >
template<class Sfinae >

field_wdof_sliced | ( | FieldWdof & | uh,
|  | size_type | i_comp
| ) |  |

Definition at line 372 of file field_wdof_sliced.h.

## Member Function Documentation

## operator=() [1/4]

template<class FieldWdof >

field_wdof_sliced< FieldWdof > & operator= | ( | const field_wdof_sliced< FieldWdof > & | expr | ) |

Definition at line 380 of file field_wdof_sliced.h.

## operator=() [2/4]

template<class FieldWdof >
template<class Value >

std::enable_if< details::is_rheolef_arithmetic< Value >::value, field_wdof_sliced< FieldWdof > & >::type operator= | ( | const Value & | value | ) |

Definition at line 306 of file field_wdof_sliced.h.

## operator=() [3/4]

template<class FieldWdof >
template<class FieldRdof >

std::enable_if< has_field_rdof_interface< FieldRdof >::value, field_wdof_sliced< FieldWdof > & >::type operator= | ( | const FieldRdof & | rdof | ) |

Definition at line 313 of file field_wdof_sliced.h.

## operator=() [4/4]

template<class FieldWdof >
template<class FieldLazy >

std::enable_if< has_field_lazy_interface< FieldLazy >::value &&!has_field_rdof_interface< FieldLazy >::value, field_wdof_sliced< FieldWdof > & >::type operator= | ( | const FieldLazy & | lazy | ) |

Definition at line 321 of file field_wdof_sliced.h.

## dof() [1/2]

template<class FieldWdof >

scalar_type & dof | ( | size_type | idof | ) |

Definition at line 325 of file field_wdof_sliced.h.

## dof() [2/2]

template<class FieldWdof >

const scalar_type & dof | ( | size_type | idof | ) | const

Definition at line 326 of file field_wdof_sliced.h.

## dis_dof()

template<class FieldWdof >

const field_wdof_sliced< FieldWdof >::scalar_type & dis_dof | ( | size_type | dis_idof | ) | const

Definition at line 388 of file field_wdof_sliced.h.

## dis_dof_entry()

template<class FieldWdof >

field_wdof_sliced< FieldWdof >::dis_reference dis_dof_entry | ( | size_type | dis_idof | ) |

Definition at line 396 of file field_wdof_sliced.h.

## dis_dof_update()

template<class FieldWdof >
template<class SetOp >

void dis_dof_update | ( | const SetOp & | set_op = `SetOp()` | ) | const

Definition at line 404 of file field_wdof_sliced.h.

## begin_dof() [1/2]

template<class FieldWdof >

iterator begin_dof | ( |  | ) |

Definition at line 332 of file field_wdof_sliced.h.

## end_dof() [1/2]

template<class FieldWdof >

iterator end_dof | ( |  | ) |

Definition at line 333 of file field_wdof_sliced.h.

## begin_dof() [2/2]

template<class FieldWdof >

const_iterator begin_dof | ( |  | ) | const

Definition at line 334 of file field_wdof_sliced.h.

## end_dof() [2/2]

template<class FieldWdof >

const_iterator end_dof | ( |  | ) | const

Definition at line 335 of file field_wdof_sliced.h.

## _initialize()

template<class FieldWdof >
template<class Iterator >

static void _initialize | ( | const space_constitution_type & | sup_constit,
|  | size_type | i_comp,
|  | space_constitution_type & | constit,
|  | Iterator & | start,
|  | Iterator & | last
| ) |  |

static

## Member Data Documentation

## _uh

template<class FieldWdof >

FieldWdof& _uh

protected

Definition at line 348 of file field_wdof_sliced.h.

## _start

template<class FieldWdof >

iterator _start

protected

Definition at line 349 of file field_wdof_sliced.h.

The documentation for this class was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/field.h
- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/field_wdof_sliced.h